GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference
These docs are for v2024-03-01. Click to read the latest docs for v2026-06-15.

Create a time off policy

Create a time off policy

scope: time_off_policies:write

Path Params
string
required

The UUID of the company

Body Params

Requires a policy name, a policy_type, and an accrual_method

string
required

Name of the time off policy

string
required

Type of the time off policy. Currently only "vacation" and "sick" are supported

string
enum
required

Accrual method of the time off policy

string

The rate at which the time off hours will accrue for an employee on the policy. Represented as a float, e.g. "40.0".

string

The number of hours an employee has to work or be paid for to accrue the number of hours set in the accrual rate. Only used for hourly policies (per_hour_paid, per_hour_paid_no_overtime, per_hour_work, per_hour_worked_no_overtime). Represented as a float, e.g. "40.0".

boolean

Boolean representing if an employee's accrued time off hours will be paid out on termination

integer

Number of days before an employee on the policy will begin accruing time off hours. If accrual_method is per_anniversary_year, per_calendar_year, or unlimited, then accrual_waiting_period_days should be 0.

string

The max number of hours an employee can carryover from one year to the next. If accrual_method is unlimited, then carryover_limit_hours must be blank.

string

The max number of hours an employee can accrue in a year. If accrual_method is unlimited, then max_accrual_hours_per_year must be blank.

string

The max number of hours an employee can accrue. If accrual_method is unlimited, then max_hours must be blank.

Headers
string
enum
Defaults to 2024-03-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

404

Not Found

The requested resource does not exist. Make sure the provided UUID is valid.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json